
server:
#  port: 0
  shutdown: graceful
  
  
spring:
  rsocket:
    server:
      port: 9191
  r2dbc:
    url: r2dbc:mysql://192.168.2.222:3306/data_demo?characterEncoding=utf-8&autoReconnect=true&useSSL=false&allowPublicKeyRetrieval=true
    username: datademo
    password: dat#123
    pool:
      initial-size: 5
      max-size: 50
      max-idle-time: 60000
      validation-query: SELECT 1
  graphql:
    rsocket:
      mapping: graphql
    graphiql:
      enabled: true
#    schema:
#      printer:
#        enabled: true
      
logging:
  level:
    org.springframework.graphql: debug
    org.springframework.r2dbc.core.DefaultDatabaseClient: DEBUG
